#!/usr/bin/ksh93
#############################################################
# Program:	chUserPasswdForm.cgi
#               Copyright 2006, All Rights Reserved
#
# Description:	Version 0.4 	
#
# Author:	Dana French (dfrench@mtxia.com)
#		615.556.0456
#
# Date:		20061024
#
#############################################################
# DOCUMENT_ROOT comes from the web server shell environment
DOCUMENT_BASE="/kshAuth/"
DOCUMENT_DIR="${DOCUMENT_ROOT}${DOCUMENT_BASE}"
SCRIPT_DIR="${SCRIPT_FILENAME%/*}"
SCRIPT_CGI="${SCRIPT_NAME%/*}"
FPATH="${SCRIPT_DIR}"
SEARCHTERM=""

parseVars
initializeDoc
displayHeader
defineLocations
linkbar CURRENTDIR DDDIR
defineStructInfo
displayStructInfo INFODES INFOVAL

################################################################

print -- "<P><FONT Size=\"+1\">

This form enables the user to change their password used for access to
the directory <EM><STRONG>\"${DOCUMENT_BASE}${DDDIR}\"</STRONG></EM>.

</FONT></P>"

################################################################

print -- "<FORM Method=\"post\" Action=\"chUserPasswd.cgi\">"
print -- "<INPUT Type=\"hidden\" Name=\"DDDIR\" Value=\"${DDDIR}\">"

print -- "
<P><HR></P>
<P>
<TABLE Border=\"0\">
<P>
  <CAPTION>
    <FONT Size=\"+2\"><STRONG>
Change a User's Password
<BR>&nbsp;
    </STRONG></FONT>
  </CAPTION>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
User ID:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>"

################################################################

print -- "<SELECT Name=\"USERID\">"
print -- "<OPTION Value=\"NULL\" Selected>Select an ID</OPTION>"
IFS=$'\n'
for USRID in $( awk -F: '{ print $1 }' "${HTPWDDIR}"/.UID_* )
do
  print -- "<OPTION Value=\"${USRID}\">${USRID}</OPTION>"
done
IFS=$' \t\n'
print -- "</SELECT>"

################################################################

print -- "      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>
Enter the User's ID.  The User's ID can be up to 8
characters and must contain only letters, numbers or spaces.
      </I></FONT>

<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
User<BR>Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"PASSWORD\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>
Enter the User's current password.  The user password can be up
to 8 characters and must  contain only letters, numbers or spaces.
      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
New Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"NEW_PASSWORD\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Enter the User's new password.  The new password can be up to 8
characters and must  contain only letters, numbers or spaces.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
Retype New Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"NEW_RETYPEPW\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Retype the User's new password.  The new password can be up to 8
characters and must  contain only letters, numbers or spaces.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
&nbsp;
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"submit\" Value=\"Submit\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Change the password of a regular user.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
</TABLE>
</P>
</FORM>
"

################################################################

linkbar CURRENTDIR DDDIR
displayReadme
finalizeDoc

exit 0
